#!/bin/sh
set -x
set -e

HOST="http://u2-0.ms.mff.cuni.cz:8080/java/api"

ID=$(curl -X POST -v ${HOST}/robots -d '{"name":"ALF"}' | jq -r .id )
sleep 5

while true;
do
   echo "Write L for turn left, R for turn right, G for move forward, F for fire, S for state"
   read choice

   case $choice in
   L)
      curl -X POST ${HOST}/robots/${ID}/actions -d '{"action": "TURN_LEFT"}'
      ;;
   R)
      curl -X POST ${HOST}/robots/${ID}/actions -d '{"action": "TURN_RIGHT"}'
      ;;
   G)
      curl -X POST ${HOST}/robots/${ID}/actions -d '{"action": "MOVE_FORWARD"}'
      ;;
   F)
      curl -X POST ${HOST}/robots/${ID}/actions -d '{"action": "FIRE"}'
      ;;
   S)
      curl -X GET ${HOST}/robots/${ID}
      curl -X GET ${HOST}/robots/${ID}/actions
      ;;
  esac
done

  esac
done

